- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::AmplOptionsList::AmplOption Class Reference

Ampl Option class, contains name, type and description for an AMPL option. More...

`#include <AmplTNLP.hpp>`

Inheritance diagram for Ipopt::AmplOptionsList::AmplOption:

[legend]
Collaboration diagram for Ipopt::AmplOptionsList::AmplOption:

[legend]
List of all members.

## Public Member Functions
| AmplOption (const std::string ipopt_option_name, AmplOptionType type, const std::string description)
| ~AmplOption ()
const std::string & | IpoptOptionName () const
AmplOptionType | Type () const
char * | Description () const
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| AmplOption ()
| Default Constructor.
| AmplOption (const AmplOption &)
| Copy Constructor.
void | operator= (const AmplOption &)
| Overloaded Equals Operator.
## Private Attributes
const std::string | ipopt_option_name_
const AmplOptionType | type_
char * | description_

## Detailed Description

Ampl Option class, contains name, type and description for an AMPL option.

Definition at line 45 of file AmplTNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::AmplOptionsList::AmplOption::AmplOption | ( | const std::string | ipopt_option_name,
|  | AmplOptionType | type,
|  | const std::string | description |
| ) |  |  | `[inline]`

Definition at line 48 of file AmplTNLP.hpp.

References description_.

Ipopt::AmplOptionsList::AmplOption::~AmplOption | ( |  | ) | `[inline]`

Definition at line 59 of file AmplTNLP.hpp.

References description_.

Ipopt::AmplOptionsList::AmplOption::AmplOption | ( |  | ) | `[private]`

Default Constructor.

Ipopt::AmplOptionsList::AmplOption::AmplOption | ( | const AmplOption & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

const std::string& Ipopt::AmplOptionsList::AmplOption::IpoptOptionName | ( |  | ) | const`[inline]`

Definition at line 64 of file AmplTNLP.hpp.

References ipopt_option_name_.

AmplOptionType Ipopt::AmplOptionsList::AmplOption::Type | ( |  | ) | const`[inline]`

Definition at line 68 of file AmplTNLP.hpp.

References type_.

char* Ipopt::AmplOptionsList::AmplOption::Description | ( |  | ) | const`[inline]`

Definition at line 72 of file AmplTNLP.hpp.

References description_.

void Ipopt::AmplOptionsList::AmplOption::operator= | ( | const AmplOption & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

const std::string Ipopt::AmplOptionsList::AmplOption::ipopt_option_name_`[private]`

Definition at line 95 of file AmplTNLP.hpp.

Referenced by IpoptOptionName().

const AmplOptionType Ipopt::AmplOptionsList::AmplOption::type_`[private]`

Definition at line 96 of file AmplTNLP.hpp.

Referenced by Type().

char* Ipopt::AmplOptionsList::AmplOption::description_`[private]`

Definition at line 97 of file AmplTNLP.hpp.

Referenced by AmplOption(), Description(), and ~AmplOption().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Apps/AmplSolver/AmplTNLP.hpp